%global gitrev d1ba5af
%global realname rospkg

Name:           python-rospkg
Version:        1.0.10
Release:        1%{?dist}
Summary:        Utilities for ROS package, stack, and distribution information

License:        BSD
URL:            http://ros.org/wiki/rospkg
# wget --content-disposition https://github.com/ros/rospkg/tarball/1.0.10
Source0:        ros-%{realname}-%{version}-0-g%{gitrev}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-sphinx

%description
The ROS packaging system simplifies development and distribution of code 
libraries. It enable you to easily specify dependencies between code 
libraries, easily interact with those libraries from the command-line, and 
release your code for others to use.

%prep
%setup -q -n ros-%{realname}-%{gitrev}


%build
%{__python} setup.py build
pushd doc
make man
popd

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}
install -p -m 0644 manifest.xml $RPM_BUILD_ROOT%{_datadir}/%{realname}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/man/rosversion.1 $RPM_BUILD_ROOT%{_mandir}/man1

sed -i 's|#!/usr/bin/env python||' $RPM_BUILD_ROOT%{python_sitelib}/%{realname}/*.py

%files
%{_bindir}/*
%{python_sitelib}/%{realname}-%{version}-py?.?.egg-info
%{python_sitelib}/%{realname}
%{_mandir}/man1/*.gz
%{_datadir}/%{realname}

%changelog
* Fri Oct 26 2012 Rich Mattes <richmattes@gmail.com> - 1.0.10-1
- Update to version 1.0.10

* Sat Sep 22 2012 Rich Mattes <richmattes@gmail.com> - 1.0.6-2
- Moved build to build section
- Finer-grained filenames in files section

* Sat Jun 16 2012 Rich Mattes <richmattes@gmail.com> - 1.0.6-1
- Update to version 1.0.6

* Sat Jun 02 2012 Rich Mattes <richmattes@gmail.com> - 1.0.3-1
- Update to version 1.0.3

* Wed Apr 25 2012 Rich Mattes <richmattes@gmail.com> - 1.0.2-1
- Initial package
